Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Interface User

All Known Implementing Classes:
  AnonymousUser, CachedUserImpl, CMSUser, HibernateUserImpl, LDAPUserImpl

    public interface User

A user.

Version:
  $Revision: 7674 $
Author:
  Julien Viet, Thomas Heute, Magesh Kumar Bojan

Field Summary
`static java.lang.String` | `INFO_USER_EMAIL_FAKE`
`static java.lang.String` | `INFO_USER_EMAIL_REAL`
`static java.lang.String` | `INFO_USER_ENABLED`
`static java.lang.String` | `INFO_USER_EXTRA`
`static java.lang.String` | `INFO_USER_HOMEPAGE`
`static java.lang.String` | `INFO_USER_IM_AIM`
`static java.lang.String` | `INFO_USER_IM_ICQ`
`static java.lang.String` | `INFO_USER_IM_MSNM`
`static java.lang.String` | `INFO_USER_IM_SKYPE`
`static java.lang.String` | `INFO_USER_IM_XMMP`
`static java.lang.String` | `INFO_USER_IM_YIM`
`static java.lang.String` | `INFO_USER_INTERESTS`
`static java.lang.String` | `INFO_USER_LAST_LOGIN_DATE`
`static java.lang.String` | `INFO_USER_LOCALE`
`static java.lang.String` | `INFO_USER_LOCATION`
`static java.lang.String` | `INFO_USER_NAME_FAMILY`
`static java.lang.String` | `INFO_USER_NAME_GIVEN`
`static java.lang.String` | `INFO_USER_OCCUPATION`
`static java.lang.String` | `INFO_USER_REGISTRATION_DATE`
`static java.lang.String` | `INFO_USER_SECURITY_ANSWER`
`static java.lang.String` | `INFO_USER_SECURITY_QUESTION`
`static java.lang.String` | `INFO_USER_SIGNATURE`
`static java.lang.String` | `INFO_USER_THEME`
`static java.lang.String` | `INFO_USER_TIME_ZONE_OFFSET`
`static java.lang.String` | `INFO_USER_VIEW_EMAIL_VIEW_REAL`

Method Summary
`java.lang.Object` | `getId()` The user identifier.
`java.lang.String` | `getUserName()` The user name.
`void` | `updatePassword(java.lang.String password)` Set the password using proper encoding.
`boolean` | `validatePassword(java.lang.String password)` Return true if the password is valid.

Field Detail

### INFO_USER_NAME_GIVEN

    static final java.lang.String INFO_USER_NAME_GIVEN

See Also:
  Constant Field Values

### INFO_USER_NAME_FAMILY

    static final java.lang.String INFO_USER_NAME_FAMILY

See Also:
  Constant Field Values

### INFO_USER_LOCATION

    static final java.lang.String INFO_USER_LOCATION

See Also:
  Constant Field Values

### INFO_USER_OCCUPATION

    static final java.lang.String INFO_USER_OCCUPATION

See Also:
  Constant Field Values

### INFO_USER_EXTRA

    static final java.lang.String INFO_USER_EXTRA

See Also:
  Constant Field Values

### INFO_USER_SIGNATURE

    static final java.lang.String INFO_USER_SIGNATURE

See Also:
  Constant Field Values

### INFO_USER_INTERESTS

    static final java.lang.String INFO_USER_INTERESTS

See Also:
  Constant Field Values

### INFO_USER_LOCALE

    static final java.lang.String INFO_USER_LOCALE

See Also:
  Constant Field Values

### INFO_USER_IM_ICQ

    static final java.lang.String INFO_USER_IM_ICQ

See Also:
  Constant Field Values

### INFO_USER_IM_AIM

    static final java.lang.String INFO_USER_IM_AIM

See Also:
  Constant Field Values

### INFO_USER_IM_MSNM

    static final java.lang.String INFO_USER_IM_MSNM

See Also:
  Constant Field Values

### INFO_USER_IM_YIM

    static final java.lang.String INFO_USER_IM_YIM

See Also:
  Constant Field Values

### INFO_USER_IM_SKYPE

    static final java.lang.String INFO_USER_IM_SKYPE

See Also:
  Constant Field Values

### INFO_USER_IM_XMMP

    static final java.lang.String INFO_USER_IM_XMMP

See Also:
  Constant Field Values

### INFO_USER_HOMEPAGE

    static final java.lang.String INFO_USER_HOMEPAGE

See Also:
  Constant Field Values

### INFO_USER_TIME_ZONE_OFFSET

    static final java.lang.String INFO_USER_TIME_ZONE_OFFSET

See Also:
  Constant Field Values

### INFO_USER_THEME

    static final java.lang.String INFO_USER_THEME

See Also:
  Constant Field Values

### INFO_USER_SECURITY_QUESTION

    static final java.lang.String INFO_USER_SECURITY_QUESTION

See Also:
  Constant Field Values

### INFO_USER_SECURITY_ANSWER

    static final java.lang.String INFO_USER_SECURITY_ANSWER

See Also:
  Constant Field Values

### INFO_USER_EMAIL_FAKE

    static final java.lang.String INFO_USER_EMAIL_FAKE

See Also:
  Constant Field Values

### INFO_USER_VIEW_EMAIL_VIEW_REAL

    static final java.lang.String INFO_USER_VIEW_EMAIL_VIEW_REAL

See Also:
  Constant Field Values

### INFO_USER_LAST_LOGIN_DATE

    static final java.lang.String INFO_USER_LAST_LOGIN_DATE

See Also:
  Constant Field Values

### INFO_USER_REGISTRATION_DATE

    static final java.lang.String INFO_USER_REGISTRATION_DATE

See Also:
  Constant Field Values

### INFO_USER_ENABLED

    static final java.lang.String INFO_USER_ENABLED

See Also:
  Constant Field Values

### INFO_USER_EMAIL_REAL

    static final java.lang.String INFO_USER_EMAIL_REAL

See Also:
  Constant Field Values

Method Detail

### getId

    java.lang.Object getId()

  The user identifier.

### getUserName

    java.lang.String getUserName()

  The user name.

### updatePassword

    void updatePassword(java.lang.String password)
                        throws IdentityException

  Set the password using proper encoding.

  Throws:
    `IdentityException`

### validatePassword

    boolean validatePassword(java.lang.String password)

  Return true if the password is valid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD